The WorkspaceItems resource provides methods that allow you to manage workspace items.
Methods supported
| Method | Description |
|---|---|
| createFIle | POST /restapi/v2/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/filesCreates a workspace file. |
| deleteFolderItems | DEL /restapi/v2/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}Deletes workspace one or more specific files/folders from the given folder or root. |
| getFile | GET /restapi/v2/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}Get Workspace File |
| listFilePages | GET /restapi/v2/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}/pagesList File Pages |
| listFolderItems | GET /restapi/v2/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}List Workspace Folder Contents |
| updateFile | PUT /restapi/v2/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}Update Workspace File Metadata |
WorkspaceItems properties
| Property | Type | Description |
|---|---|---|
callerAuthorization | workspaceUserAuthorization | |
contentType | string | |
created | string | The UTC DateTime when the workspace item was created. |
createdById | string | |
createdByInformation | workspaceUser | Details about the user who created the workspace item. |
extension | string | |
fileSize | string | |
fileUri | string | |
id | string | |
isPublic | string | If true, this supersedes need for bit mask permission with workspaceUserAuthorization |
lastModified | string | |
lastModifiedById | string | Utc date and time the comment was last updated (can only be done by creator) |
lastModifiedByInformation | workspaceUser | Details about the user who last modified the workspace item. |
name | string | A simple string description of the item, such as a file name or a folder name. |
pageCount | string | |
parentFolderId | string | The ID of the parent folder. This is the GUID of the parent folder, or the special value ‘root’ for the root folder. |
parentFolderUri | string | |
type | string | The type of the workspace item. Valid values are file, folder. |
uri | string |